extends ../index.pug

block title
  | #{ templatedTitle('Add a webhook') }

block content
  h1.text-4xl #{ __('Add a webhook') }
  p #{ __('Webhooks are custom HTTP callback that you define. When creating a synchronisation with a Webhook as destination, they will be triggered when a new event is posted or updated at the source.') }
  form.my-8.max-w-lg.mx-auto.flex.flex-col.gap-3(method="POST")
    label(for="name")
      span.text-gray-700.dark_text-gray-100 #{ __('Webhook name') }
      .flex.gap-2
        input#name.mt-1.block.w-full.rounded-md.border-gray-300.shadow-sm.focus_border-indigo-300.focus_ring.focus_ring-indigo-200.focus_ring-opacity-50(
          name="name",
          type="text"
        )
    label(for="secretToken")
      span.text-gray-700.dark_text-gray-100 #{ __('Secret token') }
      .flex.flex-col.gap-2
        p !{ __('A secret token that will be sent with Webhooks calls in the HTTP header {{{header}}}', { header: `<code>X-Mbz-Import-Tool-Token</code>`}) }
        input#secretToken.mt-1.block.w-full.rounded-md.border-gray-300.shadow-sm.focus_border-indigo-300.focus_ring.focus_ring-indigo-200.focus_ring-opacity-50(
          name="secretToken",
          type="text"
        )
    p #{ __('Events') }
    label.inline-flex.items-center
      input(
        type="checkbox",
        name="events",
        value="create",
        disabled="true",
        checked="true"
      )
      .flex.flex-col.ml-2
        span.font-bold #{ __('Create') }
    label.inline-flex.items-center
      input(type="checkbox", name="events", value="update")
      .flex.flex-col.ml-2
        span.font-bold #{ __('Update') }
    label(for="targetUrl")
      span.text-gray-700.dark_text-gray-100 #{ __('URL') }
      .flex.gap-2
        input#targetUrl.mt-1.block.w-full.rounded-md.border-gray-300.shadow-sm.focus_border-indigo-300.focus_ring.focus_ring-indigo-200.focus_ring-opacity-50(
          name="targetUrl",
          type="url"
        )
    button.button-primary(type="submit") #{ __('Save Webhook') }
